## com.sun.jersey.core.spi.factory
Class AbstractRuntimeDelegate

    java.lang.Object
      javax.ws.rs.ext.RuntimeDelegate
          com.sun.jersey.core.spi.factory.AbstractRuntimeDelegate

Direct Known Subclasses:
  RuntimeDelegateImpl

    public abstract class AbstractRuntimeDelegate

extends RuntimeDelegate

An abstract implementation of `RuntimeDelegate` that provides support common to the client and server.

Author:
  Paul.Sandoz@Sun.Com

Nested Class Summary

Nested classes/interfaces inherited from class javax.ws.rs.ext.RuntimeDelegate
`RuntimeDelegate.HeaderDelegate<T>`

Field Summary

Fields inherited from class javax.ws.rs.ext.RuntimeDelegate
`JAXRS_RUNTIME_DELEGATE_PROPERTY`

Constructor Summary
`AbstractRuntimeDelegate()`

Method Summary

`

`<T> RuntimeDelegate.HeaderDelegate<T>`

`

`createHeaderDelegate(java.lang.Class<T> type)`
Obtain an instance of a HeaderDelegate for the supplied class.

`Response.ResponseBuilder` | `createResponseBuilder()` Create a new instance of a `Response.ResponseBuilder`.
`UriBuilder` | `createUriBuilder()` Create a new instance of a `UriBuilder`.
`Variant.VariantListBuilder` | `createVariantListBuilder()` Create a new instance of a `Variant.VariantListBuilder`.

Methods inherited from class javax.ws.rs.ext.RuntimeDelegate
`createEndpoint, getInstance, setInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractRuntimeDelegate

    public AbstractRuntimeDelegate()

Method Detail

### createVariantListBuilder

    public Variant.VariantListBuilder createVariantListBuilder()

  Description copied from class: `RuntimeDelegate`
  Create a new instance of a `Variant.VariantListBuilder`.

  Specified by:
    `createVariantListBuilder` in class `RuntimeDelegate`
  Returns:
    new VariantListBuilder instance
  See Also:
    `Variant.VariantListBuilder`

### createResponseBuilder

    public Response.ResponseBuilder createResponseBuilder()

  Description copied from class: `RuntimeDelegate`
  Create a new instance of a `Response.ResponseBuilder`.

  Specified by:
    `createResponseBuilder` in class `RuntimeDelegate`
  Returns:
    new ResponseBuilder instance
  See Also:
    `Response.ResponseBuilder`

### createUriBuilder

    public UriBuilder createUriBuilder()

  Description copied from class: `RuntimeDelegate`
  Create a new instance of a `UriBuilder`.

  Specified by:
    `createUriBuilder` in class `RuntimeDelegate`
  Returns:
    new UriBuilder instance
  See Also:
    `UriBuilder`

### createHeaderDelegate

    public <T> RuntimeDelegate.HeaderDelegate<T> createHeaderDelegate(java.lang.Class<T> type)

  Description copied from class: `RuntimeDelegate`
  Obtain an instance of a HeaderDelegate for the supplied class. An implementation is required to support the following values for type: `Cookie`, `CacheControl`, `EntityTag`, `NewCookie`, `MediaType` and `java.util.Date`.

  Specified by:
    `createHeaderDelegate` in class `RuntimeDelegate`
  Parameters:
    `type` - the class of the header
  Returns:
    an instance of HeaderDelegate for the supplied type

Copyright © 2017 Oracle Corporation. All Rights Reserved.